Bug 863661 - smstools outgoing file checker segfault
smstools outgoing file checker segfault
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: smstools (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Patrick C. F. Ernzer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 08:26 EDT by Daniele Viganò
Modified: 2012-11-19 13:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 13:29:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the segfault (631 bytes, patch)
2012-10-06 08:34 EDT, Daniele Viganò
no flags Details | Diff
Updated SPEC file (7.51 KB, text/x-rpm-spec)
2012-10-06 08:37 EDT, Daniele Viganò
no flags Details

  None (edit)
Description Daniele Viganò 2012-10-06 08:26:25 EDT
Description of problem:
There is a bug in the latest smstools (3.1.14) that prevent the sending of outgoing sms.
The problem is generated by the segfault of the outgoing file checker process.
It's a known bug with also a patch (see unterwulf post at http://smstools3.kekekasvi.com/topic.php?post=4363). However it's not yet fixed in the main source, so I propose to apply the patch via SPEC file.
Also Fedora 18 is affected.

Version-Release number of selected component (if applicable):
Name        : smstools
Arch        : x86_64
Version     : 3.1.14
Release     : 3.fc17

How reproducible:
Always, launch smsd -t -> segmentation fault

Steps to Reproduce:
1. Install smstools with yum
2. Set the configuration in /etc/smsd.conf and enable outgoing sms with "outgoing = yes"
3. Run smsd -t
  
Actual results:
segmentation fault

Expected results:
the program should start in foreground mode

Additional info:
http://smstools3.kekekasvi.com/topic.php?post=4363
With the patch applied the program is running fine and stable since three weeks
Comment 1 Daniele Viganò 2012-10-06 08:34:02 EDT
Created attachment 622699 [details]
Patch to fix the segfault

Patch by unterwulf at http://smstools3.kekekasvi.com/topic.php?post=4363
Comment 2 Daniele Viganò 2012-10-06 08:37:38 EDT
Created attachment 622700 [details]
Updated SPEC file
Comment 3 Fedora Update System 2012-10-13 17:49:51 EDT
smstools-3.1.14-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smstools-3.1.14-4.fc17
Comment 4 Patrick C. F. Ernzer 2012-10-13 17:54:30 EDT
this should soon be in f17-updates-testing, f18-update-testing and rawhide.

Thanks you for the bug and thanks to unterwulf for the patch

Having recently moved countries, I do not yet have a SIM in my SMS modem, I could not yet reproduce this on the epel6 package. If someone sees the bug there, please clone this one and I'll build an updates-testing package for EPEL6.
Comment 5 Fedora Update System 2012-10-13 23:52:32 EDT
Package smstools-3.1.14-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing smstools-3.1.14-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16096/smstools-3.1.14-4.fc17
then log in and leave karma (feedback).
Comment 6 Daniele Viganò 2012-10-14 01:23:13 EDT
Thank you! I'm currently abroad for a few days and I can't test the packaget I'll do it next week. I also will check the EPEL6 current version/rpm.
Comment 7 Daniele Viganò 2012-10-18 15:07:16 EDT
Ok, tested on both F17 and F18 and now everything is working fine "out-of-the-box". Thank you!

[root@microserver etc]# yum info smstools
Loaded plugins: changelog, remove-with-leaves
Installed Packages
Name        : smstools
Arch        : x86_64
Version     : 3.1.14
Release     : 4.fc17
Size        : 731 k
Repo        : installed
From repo   : updates-testing


2012-10-18 21:01:00,2, smsd: Smsd v3.1.14 started.
2012-10-18 21:01:00,2, smsd: Running as root:root.
2012-10-18 21:01:00,4, smsd: File mode creation mask: 022 (0644, rw-r--r--).
2012-10-18 21:01:00,5, smsd: Outgoing file checker has started. PID: 19108.
2012-10-18 21:01:00,5, GSM1: Modem handler 0 has started. PID: 19109.

smsd -t -> no segfault

Next I'll check the EPEL RPM and eventually open a new bug for it.
Comment 8 Daniele Viganò 2012-10-24 17:19:08 EDT
On 21st upstream has released the version 3.1.15 with the bug fixed, no more patches are needed

http://smstools3.kekekasvi.com/index.php?p=packages

21.10.2012    3.1.15

After a long time, some changes and fixes are pending, but in this version only one fix is applied. The bug with lockfiles is very critical, and hopefully the creation of new package is easier for maintainers, when only one fix is done.

Bug fixes:

    When creating a lockfile, main process used incorrect offset -1 with the table of names of processes. This caused segmentation fault when smsd was compiled using latest compilers.
Comment 9 Fedora Update System 2012-10-27 13:47:39 EDT
smstools-3.1.15-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/smstools-3.1.15-2.fc18
Comment 10 Fedora Update System 2012-10-27 14:36:00 EDT
smstools-3.1.15-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/smstools-3.1.15-2.el6
Comment 11 Fedora Update System 2012-10-27 14:50:41 EDT
smstools-3.1.15-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smstools-3.1.15-2.fc17
Comment 12 Fedora Update System 2012-11-01 18:06:03 EDT
smstools-3.1.15-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/smstools-3.1.15-3.el6
Comment 13 Fedora Update System 2012-11-08 00:39:40 EST
smstools-3.1.15-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-11-19 13:29:37 EST
smstools-3.1.15-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.